<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"  
      xmlns:p="http://primefaces.org/ui"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <h:body>

        <ui:composition template="./WEB-INF/Template.xhtml">

            <ui:define name="conteudo">
                <h:form id="form" >

                    <p:growl id="growl" autoUpdate="true" />

                    <!-- DADOS DE USUARIO -->

                    <p:fieldset legend="Dados Pessoais" style="background-color: antiquewhite;">

                        <p:panelGrid style="border: none;" id="painel" >
                            <p:row style="background-color: antiquewhite!important;">
                                <p:column style="text-align: right">
                                    <h:outputLabel value="Nome:" />
                                </p:column>
                                <p:column>
                                    <h:inputText value="#{clienteBean.cliente.nome}" />
                                </p:column>
                                <p:column style="text-align: right">
                                    <h:outputLabel value="Sobrenome:" />
                                </p:column>
                                <p:column>
                                    <h:inputText value="#{clienteBean.cliente.sobrenome}" />
                                </p:column>
                            </p:row>
                            <p:row style="background-color: antiquewhite!important;">
                                <p:column style="text-align: right">
                                    <h:outputLabel value="Data Nascimento:" />
                                </p:column>
                                <p:column colspan="3" style="text-align: left">
                                    <p:calendar   showOn="button" value="#{clienteBean.cliente.dtnascimento}" />
                                </p:column>
                            </p:row>
                            <p:row style="background-color: antiquewhite!important;">
                                <p:column style="text-align: right">
                                    <h:outputLabel value="Rg:" />
                                </p:column>
                                <p:column  style="text-align: left">
                                    <p:inputMask  mask="999999999" value="#{clienteBean.cliente.rg}"/>
                                </p:column>
                                <p:column style="text-align: right">
                                    <h:outputLabel value="CPF:" />
                                </p:column>
                                <p:column  style="text-align: left">
                                    <p:inputMask  mask="999.999.999-99" value="#{clienteBean.cliente.cpf}"/>
                                </p:column>
                            </p:row>

                        </p:panelGrid>

                    </p:fieldset>

                    <!-- DADOS DE ENDEREÇO -->
                    <p:fieldset legend="Endereço" style="background-color: antiquewhite;">

                        <p:panelGrid style="border: none;" id="painel2" >

                            <p:row style="background-color: antiquewhite!important;">

                                <p:column style="text-align: right">
                                    <h:outputLabel value="Rua:" />
                                </p:column>

                                <p:column>
                                    <h:inputText value="#{clienteBean.cliente.rua}" />
                                </p:column>

                                <p:column style="text-align: right">
                                    <h:outputLabel value="Numero" />
                                </p:column>

                                <p:column>
                                    <h:inputText value="#{clienteBean.cliente.numero}" />
                                </p:column>
                            </p:row>

                            <p:row style="background-color: antiquewhite!important;">

                                <p:column style="text-align: right">
                                    <h:outputLabel value="Bairro" />
                                </p:column>

                                <p:column>
                                    <h:inputText value="#{clienteBean.cliente.bairro}" />
                                </p:column>

                                <p:column style="text-align: right">
                                    <h:outputLabel value="Cep" />
                                </p:column>

                                <p:column>
                                    <h:inputText value="#{clienteBean.cliente.cep}" />
                                </p:column>

                            </p:row>

                            <p:row style="background-color: antiquewhite!important;">
                                <p:column style="text-align: right">
                                    <h:outputLabel value="Cidade" />
                                </p:column>

                                <p:column>
                                    <h:inputText value="#{clienteBean.cliente.cidade}" />
                                </p:column>

                                <p:column style="text-align: right; width: 120px">
                                    <h:outputLabel value="Estado" />
                                    <p:selectOneMenu  > 
                                        <f:selectItem itemLabel="Selecione" itemValue="" />
                                        <f:selectItems value="#{clienteBean.estados}" />
                                    </p:selectOneMenu>
                                </p:column> 
                            </p:row>
                        </p:panelGrid>
                    </p:fieldset>





                    <!-- DADOS DE LOGIN -->
                    <p:fieldset legend="Login" style="background-color: antiquewhite;">

                        <p:panelGrid style="border: none;" id="painel3" >

                            <p:row style="background-color: antiquewhite!important;">

                                <p:column style="text-align: right">
                                    <h:outputLabel value="E-mail" />
                                </p:column>


                                <p:column>
                                    <h:inputText value="#{clienteBean.cliente.email}" />
                                </p:column>
                            </p:row>

                           
                            <p:row style="background-color: antiquewhite!important;">

                                <p:column style="text-align: right">
                                    <h:outputLabel value="Login de usuário" />
                                </p:column>

                                <p:column>
                                    <h:inputText value="#{clienteBean.cliente.login}" />
                                </p:column>
                            </p:row>

                            <p:row style="background-color: antiquewhite!important;">
                                <p:column style="text-align: right">
                                    <h:outputLabel value="Senha" />
                                    
                                </p:column>

                                <p:column>
                                    <p:password value="#{clienteBean.cliente.senha}"/>
                                </p:column>

                            </p:row>

                            <p:row style="background-color: antiquewhite!important;">
                                <p:column style="text-align: right">
                                    <h:outputLabel value="Confirmar Senha" />
                                </p:column>

                                <p:column>
                                   <p:password value="#{clienteBean.cliente.senha}"/>
                                </p:column>
                                
                                </p:row>


                        </p:panelGrid>
                    </p:fieldset>


                    <b:commandButton  look="primary" value="Salvar" actionListener="#{clienteBean.salvar}" update="painel" ajax="true"/>
                </h:form>



            </ui:define>

        </ui:composition>

    </h:body>
</html>
